@import "variables";
@import "vendor/bootstrap/bootstrap/variables";

$padding-small: 20px;
$padding-medium: 40px;
$padding-large: 80px;

h1,
h2 {
  color: $color-primary;
}

h2 {
  font-size: 36px;
}

p {
  font-size: 17px;
}

.indent-text {
  text-indent: 20px;
}

.navbar-nav li {
  font-weight: 600;
  font-size: 14px;
}

@media (min-width: $screen-sm-min) {
  .featurenav {
    overflow: auto;
    white-space: nowrap;

    .nav-justified {
      text-align: center; // This doesn't feel good, but looks good. :/

      > li {
        display: inline-block;
        width: auto;
      }
    }
  }
}

.image-title {
  background: url("/images/stock/ci.jpg");
  background-size: 100%;

  .color-bg {
    text-align: center;
    padding-top: 0;
    padding-bottom: 4%;
    height: 500px;
    width: 100%;
    margin-top: -1px;
    background-image: linear-gradient(to bottom, $color-primary 0%, rgba($color-primary, .85) 99%, rgba($color-primary, .79) 100%);

    h1 {
      position: relative;
      padding: 119px 0 3px;
      margin-top: 0;
      color: $color-white;
      font-size: 55px;
    }

    h3 {
      font-size: 32px;
      color: rgba($color-white, .62);
      line-height: 32px;
      padding-bottom: 30px;
      font-weight: 200;
    }

    div:nth-child(2) {
      padding-top: 2%;
      padding-bottom: 10px;
    }
  }

  .row:nth-child(2) {
    display: inline;
  }
}

.wrapper {
  min-height: 0;
  margin: 0 auto;
}

.sub-wrapper {
  padding: 50px 0;

  li {
    font-size: 17px;
  }

  .deprecated {
    padding: 125px 0 150px;

    li {
      font-size: 2em;
    }
  }
}

.gitlab-image {
  margin-top: 2%;
  padding-top: 2%;
  width: 270px;
  height: 270px;
  border-radius: 150px;
  background: url("/images/ci/main.png") no-repeat;
  background-position-x: -118px;
  background-position-y: -76px;
}

.gitlab-raccoon-dog-image {
  width: 59%;
  margin-top: 32px;
  margin-left: 23%;
}

.gitlab-ci-image {
  margin-top: 16%;
  width: 300px;
  height: 500px;
  border-radius: 150px;
  background: url("/images/ci/gitlab-ci.png") no-repeat;
  background-position-x: -415px;
  background-position-y: -205px;
}

.advantages div:first-child {
  margin-top: 3%;
}

.advantages div:nth-child(2) {
  margin-top: 30px;
}

.requirements .fa-linux {
  font-size: 12em;
  margin-top: 50%;
  border: 2px solid $color-primary;
  padding: 27px;
  border-radius: 17px;
  color: $color-primary;
}

.integration div:nth-child(2) {
  margin-top: 75px;
}

.links {
  padding-bottom: 30px;

  .fa-code {
    font-size: 4em;
    border: 2px solid $color-primary;
    padding: 27px;
    border-radius: 17px;
    color: $color-primary;
    margin-top: 33px;
  }

  div:nth-child(3) {
    padding-left: 66px;
  }
}

.divider {
  margin: auto;
  margin-top: 80px;
  width: 970px;
  border-color: $divider-color;
  border-width: 1px;
  max-width: 100%;
  margin-bottom: 60px;

  &.blank {
    border-width: 0;
  }
}

.installation .fa {
  font-size: 13em;
}

.gitlab-arch {
  margin-top: 9%;
}

.gitlab-training-sub-page {
  margin-bottom: -50px;

  .sub-wrapper {
    background-color: $color-white;
  }

  .tracks-cover {
    background: url("/images/stock/ci.jpg");
    background-size: cover;
  }

  .on-demand-cover {
    background: url("/images/stock/writing.jpg");
    background-size: cover;
  }

  .specialized-cover {
    background: url("/images/summits/2015_amsterdam_team.jpg");
    background-size: cover;
  }

  .certifications {
    background: url("/images/twitter-1-5x.png");
    background-size: cover;
  }

  .image-title {
    h1 {
      @media (max-width: $screen-xs-max) {
        padding-top: 55px;
      }
    }
  }

  .beta {
    border: 1px solid $color-white;
    border-radius: 3px;
    font-size: 13px;
    margin-left: 8px;
    padding: 4px 8px;
    position: relative;
    top: -10px;
  }

  .color-bg {
    height: 370px;
  }

  .geo-diagram {
    margin-top: 30px;
  }

  .documentation-link {
    margin-top: 15px;
    list-style: none;
  }

  .ee-feature-icon {
    text-align: center;
    margin-top: 50px;

    svg {
      height: 180px;
      width: 180px;
      fill: $color-secondary;
    }
  }

  .add-options-buttons {
    background-color: $color-white;
    padding-bottom: 50px;

    .container {
      border-top: 1px solid $landing-organization-color;
    }

    .customer-block {
      padding: 50px 0;

      .btn {
        min-width: 240px;
      }
    }
  }
}

.flex-tile-list {
  display: flex;
  flex-wrap: wrap;
  margin-top: $padding-medium;

  @media (min-width: $screen-sm-min) {
    margin-left: -10px;
    margin-right: -$padding-small; // offset for items on right side
  }

  > li:not(.no-tile) {
    background-color: $color-white;
    border: solid 1px $color-gray-medium;
    list-style: none;
    display: flex;
    flex: 0 0 calc(100% - 20px);
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: $padding-small;
    margin: 0 ($padding-small / 2) $padding-small;
    border-radius: 2px;

    @media (min-width: $screen-sm-min) {
      flex: 0 0 calc(25% - 20px);
    }

    a {
      width: 100%;

      &:hover,
      &:focus {
        color: $color-primary-alt;
      }
    }

    &.is-active {
      border-color: $color-primary;
    }

    &.distro-content {
      flex: 0 0 100%;
      max-width: calc(100% - 20px);
      align-items: flex-start;
      padding: 20px;
      text-align: left;

      @media (min-width: $screen-sm-min) {
        max-width: calc(100% - 30px);
      }

      @media (min-width: $screen-md-min) {
        padding: 40px 80px;
      }
    }
  }

  .no-tile {
    width: 100%;
  }
}

